Skip to main content
GET
Get a model

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

modelId
string<uuid>
required

Response

OK

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
jobId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
baseModel
string
required
method
enum<string>
required
Available options:
lora,
full
kind
enum<string>
required
Available options:
adapter,
checkpoint,
hosted-model
backend
string
required
artifactState
enum<string>
required
Available options:
pending,
copying,
stored,
unavailable,
failed
s3Uri
string | null
required

s3://<bucket>/models/<id>/ once the weights are in your bucket.

bytes
number | null
required
files
object[]
required
servingOptions
enum<string>[]
required
Available options:
serverless,
dedicated,
download
createdAt
string
required